#include <forms.h>
#include "led_fonts.h"

char ** font_table[0x60] = {	blank_xpm,
						exclamation_xpm,
						double_quote_xpm,
						diez_xpm,
						dollar_xpm,
						percent_xpm,
						and_xpm,
						quote_xpm,
						left_bracket_xpm,
						right_bracket_xpm,
						star_xpm,
						plus_xpm,
						comma_xpm,
						minus_xpm,
						period_xpm,
						slash_xpm,
						zero_xpm,
						one_xpm,
						two_xpm,
						three_xpm,
						four_xpm,
						five_xpm,
						six_xpm,
						seven_xpm,
						eigth_xpm,
						nine_xpm,
						colon_xpm,
						semicolon_xpm,
						less_xpm,
						equal_xpm,
						greater_xpm,
						question_xpm,
						around_xpm,
						A_xpm,
						B_xpm,
						C_xpm,
						D_xpm,
						E_xpm,
						F_xpm,
						G_xpm,
						H_xpm,
						I_xpm,
						J_xpm,
						K_xpm,
						L_xpm,
						M_xpm,
						N_xpm,
						O_xpm,
						P_xpm,
						Q_xpm,
						R_xpm,
						S_xpm,
						T_xpm,
						U_xpm,
						V_xpm,
						W_xpm,
						X_xpm,
						Y_xpm,
						Z_xpm,
						left_straight_bracket_xpm,
						backslash_xpm,
						right_straight_bracket_xpm,
						caret_xpm,
						underscore_xpm,
						back_quote_xpm,
						a_xpm,
						b_xpm,
						c_xpm,
						d_xpm,
						e_xpm,
						f_xpm,
						g_xpm,
						h_xpm,
						i_xpm,
						j_xpm,
						k_xpm,
						l_xpm,
						m_xpm,
						n_xpm,
						o_xpm,
						p_xpm,
						q_xpm,
						r_xpm,
						s_xpm,
						t_xpm,
						u_xpm,
						v_xpm,
						w_xpm,
						x_xpm,
						y_xpm,
						z_xpm,
						left_curly_bracket_xpm,
						or_xpm,
						right_curly_bracket_xpm,
						tilda_xpm,
						triangle_xpm
					};

char ** char2pixmap(unsigned char c)
{
	if ( c == 0 ) return blank_xpm;
	else if ( ( c<0x20 ) || ( c>0x7f ) ) return underscore_xpm;
		else return font_table[c-0x20];
}